org.keycloak.dom.xmlsec.w3.xmldsig

## Class SignatureValueType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmldsig.SignatureValueType

-     public class SignatureValueType
      extends Object

  Java class for SignatureValueType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SignatureValueType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>base64Binary">
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </extension>
         </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected byte[]` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignatureValueType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Gets the value of the id property.
    `byte[]` | `getValue()` Gets the value of the value property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setValue(byte[] value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected byte[] value

    - #### id

          protected String id

  - ### Constructor Detail

    - #### SignatureValueType

          public SignatureValueType()

  - ### Method Detail

    - #### getValue

          public byte[] getValue()

      Gets the value of the value property.
      Returns:
        possible object is byte[]

    - #### setValue

          public void setValue(byte[] value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2021 JBoss by Red Hat. All rights reserved.